import { AtmLocation } from "../types/atmLocation";
import { UnitResponse, UnitConfig, Coordinates, Address } from "../types/common";
import { BaseResource } from "./baseResource";
export declare class AtmLocations extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    list(params?: AtmLocationListParams): Promise<UnitResponse<AtmLocation[]>>;
}
export interface AtmLocationListParams {
    coordinates?: Coordinates;
    address?: Address;
    postalCode?: string;
    searchRadius?: number;
}
